Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.server
Interface MBeanInvoker

All Known Implementing Classes:
  ReflectionMBeanInvoker

public interface MBeanInvoker

Invokes methods on standard MBeans.
Actually three implementations are available: two that uses reflection and one that generates on-the-fly a customized MBeanInvoker per each MBean and that is implemented with direct calls via bytecode generation.
The default is the direct call version, that uses the BCEL to generate the required bytecode on-the-fly.
In the future may be the starting point for MBean interceptors.

Version:
  $Revision: 1.6 $

Method Summary
`java.lang.Object` | `getAttribute(MBeanMetaData metadata, java.lang.String attribute)` Returns the value of the specified attribute.
`java.lang.Object` | `invoke(MBeanMetaData metadata, java.lang.String method, java.lang.String[] signature, java.lang.Object[] args)` Invokes the specified operation on the MBean instance
`void` | `setAttribute(MBeanMetaData metadata, javax.management.Attribute attribute)` Sets the value of the specified attribute.

Method Detail

### invoke

    public java.lang.Object invoke(MBeanMetaData metadata,
                                   java.lang.String method,
                                   java.lang.String[] signature,
                                   java.lang.Object[] args)
                            throws javax.management.MBeanException,
                                   javax.management.ReflectionException

  Invokes the specified operation on the MBean instance

  Throws:
    `javax.management.MBeanException`
    `javax.management.ReflectionException`

### getAttribute

    public java.lang.Object getAttribute(MBeanMetaData metadata,
                                         java.lang.String attribute)
                                  throws javax.management.MBeanException,
                                         javax.management.AttributeNotFoundException,
                                         javax.management.ReflectionException

  Returns the value of the specified attribute.

  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.ReflectionException`

### setAttribute

    public void setAttribute(MBeanMetaData metadata,
                             javax.management.Attribute attribute)
                      throws javax.management.MBeanException,
                             javax.management.AttributeNotFoundException,
                             javax.management.InvalidAttributeValueException,
                             javax.management.ReflectionException

  Sets the value of the specified attribute.

  Throws:
    `javax.management.MBeanException`
    `javax.management.AttributeNotFoundException`
    `javax.management.InvalidAttributeValueException`
    `javax.management.ReflectionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.